> For the complete documentation index, see [llms.txt](https://docs.enclaive.cloud/vault/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enclaive.cloud/vault/api/system-backend/sys-version-history.md).

# /sys/version-history

The `/sys/version-history` endpoint is used to retrieve the version history of a Vault.

### Read version history

This endpoint returns the version history of the Vault. The response will contain the following keys:

* `keys`: a list of installed versions in chronological order based on the time installed
* `key_info`: a map indexed by the versions found in the `keys` list containing the following subkeys:
  * `build_date`: the time (in UTC) at which the Vault binary used to run the Vault server was built. **Note: Only tracked from version 1.11.0 or greater**
  * `previous_version`: the version installed prior to this version or `null` if no prior version exists
  * `timestamp_installed`: the time (in UTC) at which the version was installed

| Method | Path                   |
| ------ | ---------------------- |
| `LIST` | `/sys/version-history` |

#### Sample request

```shell-session
$ curl \
    -X LIST --header "X-Vault-Token: ..." \
    http://127.0.0.1:8200/v1/sys/version-history
```

#### Sample response

```json
{
  "keys": ["1.9.0", "1.9.1", "1.9.2", "1.11.0"],
  "key_info": {
    "1.9.0": {
      "build_date": null,
      "previous_version": null,
      "timestamp_installed": "2021-11-18T10:23:16Z"
    },
    "1.9.1": {
      "build_date": null,
      "previous_version": "1.9.0",
      "timestamp_installed": "2021-12-13T11:09:52Z"
    },
    "1.9.2": {
      "build_date": null,
      "previous_version": "1.9.1",
      "timestamp_installed": "2021-12-23T10:56:37Z"
    },
    "1.11.0": {
      "build_date": "2022-05-03T08:34:11Z",
      "previous_version": null,
      "timestamp_installed": "2022-05-03T13:16:04Z"
    }
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-version-history.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
